<!DOCTYPE html>
    
<html lang="cs"> 

 <head>
  <title>Anketa</title>
  <meta charset="utf-8">
 </head>
 
 <body>
 <!-- Na této stránce se anketa zobrazuje -->

<?php   
// Uživatelsky definovaná funkce zajišťující výpis kompletní anktey
// Stejně jako v případě JavaScriptu je tato funkce nečinná a to do doby, než bude zavolána

function anketa($otazka, $volba, $soubor) {

    // Funkce používá své lokální proměnné, které jsou k dispozici pouze uvnitř těla funkce - jako např. proměnná $obsah_souboru
    // Funkce dále používá dva vstupní parametry, které ji předáme při jejím volání
    // Prohlédněte si obsah souboru anketa.txt a neměňte ho
    
     $obsah_souboru = file_get_contents($soubor);                               // načteme obsah souboru anketa.txt a uložíme jej do lok. proměnné $obsah_souboru
     $hlasy = explode("|", $obsah_souboru);                                     // funkce explode odstraní svislice a vytvoří pole hodnot z hlasů, tak jak byly uloženy v anketa.txt
     $celkem = $hlasy[0] + $hlasy[1] + $hlasy[2] + $hlasy[3] + $hlasy[4];       // provedeme součet všech hlasů a výsledek uložíme do proměnné $celkem
     
     // Předchozí řádek lze řešit MNOHEM elegantněji a EFEKTIVNĚJI pomocí funkce array_sum
     // Tato funkce sečte číselné hodnoty pole
     // Zamyslete se nad jejími výhodami. Pokud bychom přidali další odpověď na anketní otázku
     // museli bychom kód z řádku 38 doplnit o + $hlasy[5].
     // Tento problém vyřeší následující řádek. 

     $celkem = array_sum($hlasy);
     
     // Vypisujeme XHTML tagy ankety
     echo "<table>";
     echo "<tr><th colspan='2'>".$otazka."</th></tr>";
    
    
     // Pomocí cyklu pro procházení polí vypíšeme jednotlivé volby     
     foreach ($volba as $key => $value) {
        if ($celkem != 0)                                                       // kontroluje, zda celkový počet hlasů není 0, nulou nelze dělit
            $sirka = round((100 * $hlasy[$key]) / $celkem);                     // vypočte šířku sloupečku a zaokrouhlí jej na celé číslo funkcí round
        else  
            $sirka = 0;  
     
        // Výpis odkazu pro hlasování
        echo "<tr><td><a href='hlasuj.php?volba=".$key."'>".$value."</a></td>";
        // Výpis sloupečku volby
        echo "<td><img src='sloupecek.png' height='11' width='".$sirka."' alt='".$volba[$key]."' /> ".$hlasy[$key]; 
        echo "</td></tr>";
     }
               
       
     echo "<tr><td colspan=\"2\">Celkem hlasovalo: ".$celkem." lidí</td></tr>";
     echo "</table>";
} // Zde končí námi definovaná funkce
 
 
// Globalni proměnné
// Zde si do proměnných načteme anketní otázku a volby ankety. Proměnná volba je typu POLE
$otazka = "Jaký sport máte rádi?";
   
$volba[0] = "Lukostřelba";
$volba[1] = "Motorismus";
$volba[2] = "Fotbal";
$volba[3] = "Tenis";
$volba[4] = "Volejbal"; 
   
// Zde voláme funkci anketa (provede se její programový kód)
anketa($otazka, $volba, 'anketa.txt');                                                                   
?>
  </body>
</html>
